> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Delete a webhook DELETE https://api.contentful.com/spaces/{space_id}/webhook_definitions/{webhook_definition_id} Reference: https://contentful.com/developers/docs/references/content-management-api/webhooks/delete-a-webhook ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `webhook_definition_id` (string, required) — ID of the webhook in form of a string ## Response ### 204 No Content - Request successful, no content returned ## Examples **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .webhooks() .async() .fetchOne( "", "", new CMACallback() { @Override protected void onSuccess(CMAWebhook webhook) { client .webhooks() .async() .delete( webhook, new CMACallback() { @Override protected void onSuccess(Integer result) { // Done. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Deleting the webhook was successful." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not delete that webhook." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch that webhook." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAWebhook webhook = client .webhooks() .fetchOne( "", ""); // Returns a string on success. client .webhooks() .delete(webhook); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val webhook = client .webhooks() .fetchOne( "", "") // Returns a string on success. client .webhooks() .delete(webhook) ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getWebhook('')) .then((webhook) => webhook.delete()) .then(() => console.log('Webhook deleted.')) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) await client.webhook.delete({ spaceId: '', webhookDefinitionId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpaceProxy(''); $webhook = $space->getWebhook(''); $webhook->delete(); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') webhook = client.webhooks('').find('') webhook.destroy ``` ```python Python from contentful_management import Client client = Client('') client.webhooks('').delete('') # Alternatively, with an already fetched webhook: webhook = client.webhooks('').find('') webhook.delete() ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); await client.DeleteWebhook(""); ```